Kate FTP Connection Error

Bug #497278 reported by Jeffery on 2009-12-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kdesdk (Ubuntu)
Undecided
Unassigned

Bug Description

I use Kate (KDE Advanced Text Editor) to edit the files on my website, and I generally use the built-in FTP connection in the Filesystem Browser. It's really easy...I enter ftp://<email address hidden>. It then prompts me for a password. After entering my password, all my files are shown in the Filesystem Browser. Everything worked great under Ubuntu 9.04.

When I upgraded to Ubuntu 9.10 (using the auto-update), the FTP functionality in Kate seems to have been broken. I have tried everything that I know to do. I have removed Kate and KDE and re-installed them. Same problem. I downloaded Ubuntu 9.10 and installed it in VirtualBox, installed Kate, but I have the same problem.

Here are the steps for creating the error: (1) enter the ftp location in the Filsystem Browser, e.g., ftp://<email address hidden>, and (2) hit enter. If it were working, it would almost immediately pop up the password screen. If it is not working, then it will take a few moments for the error to be displayed. Here is the exact error reported in Kate: "Could not connect to host mywebsite.com: Timed out trying to connect to remote host."

I tried the same thing in JEdit (with the FTP plugin), and it works fine. I like JEdit, but I prefer Kate and would like to get it working.

Output from 'apt-cache policy kate'
kate:
  Installed: 4:4.3.2-0ubuntu1
  Candidate: 4:4.3.2-0ubuntu1
  Version table:
 *** 4:4.3.2-0ubuntu1 0
        500 http://us.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

Output from 'apt-cache policy kdesdk'
kdesdk:
  Installed: (none)
  Candidate: 4:4.3.2-0ubuntu1
  Version table:
     4:4.3.2-0ubuntu1 0
        500 http://us.archive.ubuntu.com karmic/main Packages

Output from 'apt-cache policy kdebase'
kdebase:
  Installed: (none)
  Candidate: 4:4.3.2-0ubuntu3
  Version table:
     4:4.3.2-0ubuntu3 0
        500 http://us.archive.ubuntu.com karmic/main Packages

Linked to Question #93979 : Questions : “kdesdk” package : Ubuntu

Jeffery (jeffery-barron) wrote :

I installed Ubuntu 9.04 in VirtualBox to see if the FTP functionality in Kate would work there, and it connected to my FTP server with no problem.

Output from 'apt-cache policy kate'
kate:
  Installed: 4:4.2.2-0ubuntu1
  Candidate: 4:4.2.2-0ubuntu1
  Version table:
 *** 4:4.2.2-0ubuntu1 0
        500 http://us.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

Output from 'apt-cache policy kdesdk'
kdesdk:
  Installed: (none)
  Candidate: 4:4.2.2-0ubuntu1
  Version table:
     4:4.2.2-0ubuntu1 0
        500 http://us.archive.ubuntu.com jaunty/main Packages

Output from 'apt-cache policy kdebase'
kdebase:
  Installed: (none)
  Candidate: 4:4.2.2-0ubuntu4
  Version table:
     4:4.2.2-0ubuntu4 0
        500 http://us.archive.ubuntu.com jaunty/main Packages

As I stated in the original bug report, I also did a clean install of Ubuntu 9.10 in VirtualBox, but the FTP feature did not work. In both cases of the VirtualBox installs (i.e., 9.04 and 9.10), I installed all of the available system updates and Kate (and its required packages). I hope this extra information helps.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions